<?php
namespace Ak\Gdpr;

use Ak\Db\TableGateway\TableGatewayAbstractFactory;

/**
 * Pruža konfiguraciju komponente.
 *
 * @package Ak\Gdpr
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/gdpr
 */
final class ConfigProvider
{
    /**
     * Vraća konfiguraciju
     *
     * @return array
     */
    public function __invoke(): array
    {
        return [
            'db' => [
                'tables' => [
                    'db.table.gdpr' => [
                        'name' => 'gdpr_privole',
                        'gateway' => TableGateway\GdprConsentTable::class,
                    ],
                ],
            ],

            'dependencies' => [
                'factories' => [
                    'db.table.gdpr' => TableGatewayAbstractFactory::class,
                ],
            ],

            'hydrators' => [
                'factories' => [
                    Entity\GdprConsent::class => Hydrator\GdprConsentHydratorFactory::class,
                ],
            ],

            'repositories' => [
                'aliases' => [
                    Entity\GdprConsent::class => Repository\GdprConsentRepository::class,
                ],

                'factories' => [
                    Repository\GdprConsentRepository::class => Repository\GdprConsentRepositoryFactory::class,
                ],
            ],
        ];
    }
}
