<?php
namespace Ak\Gdpr\Entity;

use Ak\Orm\Entity\EntityInterface;
use DateTime;

/**
 * GDPR privola.
 *
 * @package Ak\Gdpr\Entity
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/gdpr
 */
final class GdprConsent implements EntityInterface
{
    /** @var int */
    private $id;
    /** @var string */
    private $email;
    /** @var string */
    private $ip;
    /** @var DateTime */
    private $time;

    /**
     * Vraća ID entiteta.
     *
     * @return null|int
     */
    public function getId(): ?int
    {
        return $this->id;
    }

    /**
     * @return null|string
     */
    public function getEmail(): ?string
    {
        return $this->email;
    }

    /**
     * @param string $email
     */
    public function setEmail(string $email): void
    {
        $this->email = $email;
    }

    /**
     * @return null|string
     */
    public function getIp(): ?string
    {
        return $this->ip;
    }

    /**
     * @param string $ip
     */
    public function setIp(string $ip): void
    {
        $this->ip = $ip;
    }

    /**
     * @return DateTime
     */
    public function getTime(): DateTime
    {
        if (null === $this->time) {
            $this->time = new DateTime('now');
        }

        return $this->time;
    }
}