<?php
namespace Ak\Gdpr\TableGateway;

use Doctrine\DBAL\Schema\Table;
use Ak\Db\TableGateway\TableGateway;

/**
 * Tablica s GDPR privolama.
 *
 * @package Ak\Gdpr\TableGateway
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/gdpr
 */
class GdprConsentTable extends TableGateway
{
    public function createSchema(Table $table): void
    {
        $table->addColumn('id', 'bigint', [
            'unsigned' => true,
            'autoincrement' => true,
        ]);

        $table->addColumn('email', 'string');
        $table->addColumn('ip', 'string');
        $table->addColumn('time', 'datetime');

        $table->setPrimaryKey(['id']);
        $table->addIndex(['email']);
    }
}