<?php
namespace AkTest\Gdpr;

use Ak\Gdpr\ConfigProvider;
use Laminas\ConfigAggregator\ArrayProvider;
use Laminas\ConfigAggregator\ConfigAggregator;

/**
 * Class TestConfigProvider
 *
 * @package AkTest\Gdpr
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/gdpr
 */
class TestConfigProvider
{
    public function __invoke(): array
    {
        return (new ConfigAggregator([
            \Ak\Db\ConfigProvider::class,
            \Ak\Orm\ConfigProvider::class,
            \Ak\Test\ConfigProvider::class,
            \Laminas\Hydrator\ConfigProvider::class,
            ConfigProvider::class,
            new ArrayProvider([
                'db' => [
                    'default_adapter' => 'db.adapter.mysql',
                ],
            ]),
        ]))->getMergedConfig();
    }
}
